﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace QwirkleClassLibrary
{
    public class Player
    {
        private string nameTag;
        private List<Tile> tiles;
        private bool isPlaying = false;

        public Player(string name)
        {
            nameTag = name;
            tiles = new List<Tile>();
        }
        public string GetNameTag
        {
            get { return nameTag; }
        }

        public bool IsPlaying
        {
            get { return isPlaying; }
            set { isPlaying = value; }
        }
        public void AddTilePlayer(Tile tile)
        {
            tiles.Add(tile);
        }
        public bool RemoveTilePlayer(Tile tile)
        {
            return tiles.Remove(tile);
        }

        public List<Tile> Tiles // Rajouter un "get" là
        {
            get{ return tiles; }

        }
    }
}
